Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultCopaymentType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursement.submit.CopaymentKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultCopaymentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultCopaymentType extends CopaymentKeyType implements Serializable

Java class for ConsultCopaymentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCopaymentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursement:submit}CopaymentKeyType">
           <sequence>
             <element name="FeeAmount" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCopaymentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `BigDecimal`
  `getFeeAmount()`
  Gets the value of the feeAmount property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setFeeAmount(BigDecimal value)`
  Sets the value of the feeAmount property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursement.submit.CopaymentKeyType

  `getRegimeType, setRegimeType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCopaymentType

    public ConsultCopaymentType()

- ## Method Details

  - ### getFeeAmount

    public BigDecimal getFeeAmount()
    Gets the value of the feeAmount property.
    Returns:
      possible object is `BigDecimal`

  - ### setFeeAmount

    public void setFeeAmount(BigDecimal value)
    Sets the value of the feeAmount property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`